<?php


namespace Venom\Security;


use Venom\Models\User;

interface Login
{
    public function __construct(User $user);

    public function checkUsername(): bool;

    public function checkPassword(): bool;

    public function checkCredentials(): bool;

    public function login(): bool;

    public function redirect(): void;
}